use super::Token;

#[derive(Debug, Clone)]
pub enum AssembleError {
    UnexpectedToken { expected: String, got: Token },
    UnexpectedEof,
}

impl AssembleError {
    pub fn unexpected_token(token: Token, expected: &str) -> Self {
        AssembleError::UnexpectedToken {
            expected: expected.to_string(),
            got: token,
        }
    }
}
